Subject: bug#73853: 31.0.50; Should and-let* become a synonym for when-let*?

From: Stefan Kangas <[email-masked]>
Date: Sun, 27 Oct 2024 00:08:20 -0700

Jim Porter <[email-masked]> writes:

> On the other hand, the way bindings work in 'if-let*' and 'when-let*'
> are closer to 'let*' than 'let'. I think that's a false friend though,
> since they're only similar, not actually the same (of course the
> semantics couldn't be exactly the same or there'd be no reason for
> 'if-let*' and 'when-let*' to exist).

FWIW, this is the argument that convinced me that the `*`-versions are
better: bindings are more like in `let` than in `let*`.  To my mind,
that makes the `*`-naming more self-documenting and clear.